Holger's Java API

## com.antelmann.util
Interface Factory<T>

All Known Implementing Classes:
  Connector, ConnectorSettings, LoggerManager, TransactionalNumberGenerator

    public interface Factory<T>

provides a generic factory

Since:
  12.04.2009, 21:33:57
Author:
  Holger Antelmann

Method Summary
`T` `createInstance(EventObject eo)` creates a new instance of the factory type on each call based on the given event

Method Detail

### createInstance

    T createInstance(EventObject eo)
                     throws Exception

  creates a new instance of the factory type on each call based on the given event

  Parameters:
    `eo` - the event that triggered this instance creation; normally, this method should also cope with the event to be null.
  Throws:
    `Exception`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads